Bug 439105 - Driver doesn't work on Macbook Pro when using DVI to VGA connector
Driver doesn't work on Macbook Pro when using DVI to VGA connector
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 20:04 EDT by David Zeuthen
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (1.89 MB, text/plain)
2008-03-26 20:05 EDT, David Zeuthen
no flags Details

  None (edit)
Description David Zeuthen 2008-03-26 20:04:13 EDT
I have an Macbook Pro with a X1600 ATI card. The DVI port works great, in [1] is
xrandr(1) output when it's configured. However, with the DVI to VGA connector
(supplied by Apple with the laptop), xrandr says there are two external displays
but I can't get any of them to work, see [2] for xrandr(1) output.


[1] : Straight DVI, works great

$ xrandr
Screen 0: minimum 320 x 200, current 2800 x 900, maximum 3200 x 1024
LVDS connected 1440x900+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1440x900       60.0*+
   1360x768       59.8     60.0  
   1280x800       60.0  
   1152x864       60.0  
   1280x768       60.0  
   1280x720       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
S-video disconnected (normal left inverted right x axis y axis)
DVI-1 connected 1360x768+1440+0 (normal left inverted right x axis y axis) 643mm
x 385mm
   1280x768       59.8 +   75.0     70.0     60.0  
   1600x1024      60.2  
   1280x1024      60.0     60.0  
   1440x900       59.9  
   1280x960       60.0     60.0  
   1360x768       59.8*    60.0  
   1280x800       75.0     70.0     60.0  
   1152x864       75.0     75.0     70.0     60.0  
   1280x720       85.0     75.0     70.0     60.0  
   1024x768       85.0     85.0     75.1     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.0     85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     85.0     75.0     72.8     72.8     75.0     70.0   
 60.0     59.9  
   720x400        85.0     70.1  
   640x400        85.1  
   640x350        85.1  
DVI-0 disconnected (normal left inverted right x axis y axis)

[2] : with DVI to VGA connector, doesn't work

$  xrandr
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 3200 x 1024
LVDS connected 1440x900+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1440x900       60.0*+
   1360x768       59.8     60.0  
   1280x800       60.0  
   1152x864       60.0  
   1280x768       60.0  
   1280x720       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
S-video disconnected (normal left inverted right x axis y axis)
DVI-1 connected (normal left inverted right x axis y axis)
   1280x768       59.8 +   75.0     70.0     60.0  
   1600x1024      60.2  
   1280x1024      60.0     60.0  
   1440x900       59.9  
   1280x960       60.0     60.0  
   1360x768       59.8     60.0  
   1280x800       75.0     70.0     60.0  
   1152x864       75.0     75.0     70.0     60.0  
   1280x720       85.0     75.0     70.0     60.0  
   1024x768       85.0     85.0     75.1     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.0     85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     85.0     75.0     72.8     72.8     75.0     70.0   
 60.0     59.9  
   720x400        85.0     70.1  
   640x400        85.1  
   640x350        85.1  
DVI-0 connected (normal left inverted right x axis y axis)
   1360x768       59.8     60.0  
   1280x800       60.0  
   1152x864       60.0  
   1280x768       60.0  
   1280x720       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9
Comment 1 David Zeuthen 2008-03-26 20:05:29 EDT
Created attachment 299249 [details]
xorg log
Comment 2 David Zeuthen 2008-03-26 20:13:03 EDT
Also, as a data point, the driver doesn't detect when I insert/remove the cable.
I have to manually go into the "Screen Resolution" capplet. 
Comment 3 David Zeuthen 2008-03-27 15:24:08 EDT
Also, I was bitten by this bug at today's desktop meeting. As a data point the
DVI->VGA adapter kindly provided by ajax (thanks ajax!) didn't work either.
Comment 4 Bug Zapper 2008-05-14 02:55:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:53:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:28:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Dennis Wagelaar 2009-07-22 05:25:28 EDT
This bug still occurs for me on Fedora 10:
- kernel-2.6.27.25-170.2.72.fc10.x86_64
- xorg-x11-drv-ati-6.10.0-2.fc10.x86_64

Hardware: MacBookPro2,2

Note You need to log in before you can comment on or make changes to this bug.